Bug 24275 - 7.0->7.0 upgrade crashes anaconda
7.0->7.0 upgrade crashes anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-18 02:32 EST by Ed McKenzie
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 14:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda failed i,m a beginer help me (952 bytes, text/plain)
2001-02-24 10:27 EST, nagaraj
no flags Details
Dump file after the system crashed (1.07 KB, text/plain)
2001-03-21 23:08 EST, Robert Woolley
no flags Details

  None (edit)
Description Ed McKenzie 2001-01-18 02:32:52 EST
Upgrading a 7.0 install with anaconda-7.0 crashes the installer right after
it asks whether the user would like to upgrade individual packages,
regardless of the answer to that question. The exception raised indicates
that the root has not been mounted.
Comment 1 Michael Fulbright 2001-01-19 12:08:43 EST
Could you please attach the traceback you get?
Comment 2 Ed McKenzie 2001-01-19 17:14:13 EST
Oops, I forgot all my drives were on the Promise controller :)

This particular issue may go away once kernel 2.4 is shipping, but I think it
would be a good idea nevertheless to have some sort of error dialog ("No hard
disks found! Bailing out") rather than a crash... an installer can never be
robust enough.

Though this crash should be fairly easy to reproduce, I can still provide a
traceback if you still want one,
Comment 3 Michael Fulbright 2001-01-26 18:47:08 EST
Yes please add the traceback so I can document this failure better.

Thanks.
Comment 4 Ed McKenzie 2001-02-03 13:44:02 EST
It'll be a few days. My CD-ROM drive decided it didn't need a disc tray, leaving
me no way to boot the system CD.
Comment 5 Michael Fulbright 2001-02-21 18:09:47 EST
Ok thanks.
Comment 6 nagaraj 2001-02-24 10:27:42 EST
Created attachment 10942 [details]
anaconda failed i,m a beginer help me
Comment 7 emilio 2001-02-28 06:01:25 EST
I have the identical problem mentioned by nagaraj_itt@yahoo.com.
I believe it has some to do with mounting the root. The problem happened rt 
after a sudden power down of the equipment.
Comment 8 Robert Woolley 2001-03-21 23:08:22 EST
Created attachment 13323 [details]
Dump file after the system crashed
Comment 9 Matt Wilson 2001-03-28 01:38:11 EST
this appears to be random media/hardware/memory corruption errors.

Note You need to log in before you can comment on or make changes to this bug.